# Created by pyp2rpm-3.3.7
%global pypi_name debugpy

%global __pypi_default_extension zip

%global _python_bytecompile_errors_terminate_build 0

%global __requires_exclude typelib\\\(

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 3
Summary:        An implementation of the Debug Adapter Protocol for Python
Group:          Development/Python
License:        MIT
URL:            https://aka.ms/debugpy
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
debugpy is an implementation of the Debug Adapter Protocol for Python.The
source code and the issue tracker is [hosted on GitHub](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
debugpy is an implementation of the Debug Adapter Protocol for Python.The
source code and the issue tracker is [hosted on GitHub](

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files debugpy

sed -i \
    -e '/debugger_case_scoped_stepping_target_async\.cpython-%{python3_version_nodots}.*pyc/d' \
    -e '/_pydev_coverage_syntax_error\.cpython-%{python3_version_nodots}.*pyc/d' \
    %{pyproject_files}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.8.0-3.mga10
+ Revision: 2238265
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.8.0-2.mga10
+ Revision: 2154699
- rebuild for python3.13

* Mon Dec 25 2023 papoteur <papoteur> 1.8.0-1.mga10
+ Revision: 2021409
- new 1.8.0
- rebuild for python3.12
- adapt to pyproject

* Sun Apr 17 2022 joequant <joequant> 1.6.0-1.mga9
+ Revision: 1850977
- imported package python-debugpy

